PSERVER(1)

NAME
pserver - NetWare print server

SYNOPSIS
pserver [ -S server ] [ -h ] [ -U user name ] [ -P password | -n ] [ -C ] [ -q queue name ] [ -c command ] [ -j job type ] [ -t timeout ] [ -d ]

DESCRIPTION
pserver is a program that connects to print queues on NetWare servers and feeds incoming print jobs to the Linux printing system.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the print server name at the server.
-P password
    password is the password to use for the print server at the server. If neither -n nor -P are given, and the user has no open connection to the server, pserver prompts for a password.
-n
    -n should be given if the print server does not require a password.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-q queue name
    queue name is the name of the print queue you want to service.
-c command
    When a job is received from the print queue, pserver forks off a new process, and feeds the job file to stdin. command is the printing command that is executed for each job. The default command is 'lpr'. You can insert several flags into the command, preceded by %. These are replaced with values retrieved from the queue structure for the print job. %u: This field will be replaced by the name of the user who posted this print job. %d: This field will be replaced by the job description field of this print job.
-j job type
    Each job in a NetWare print queue has a job type. For print jobs, this corresponds to the number of the form the job should be printed on. You can tell pserver that it should only receive jobs for one specific form from the queue. The default is -1, which means that everything is received.
-t timeout
    Pserver is not informed by NetWare servers when new jobs arrive. So a polling scheme has to be used. When there are no jobs to service, timeout tells pserver how long to wait between two requests. The default is 30 seconds. When a job is finished, pserver asks the NetWare server immediately for a new job, and does not wait timeout seconds.
-d
    Normally, pserver daemonizes itself. -d tells it not to do so. This is useful if you want to see the diagnostic messages that are printed when a error occurs.

SEE ALSO
nwclient(5), slist(1), pqlist(1), ncpmount(8), ncpumount(8)

CREDITS
pserver was written by Volker Lendecke (lendecke@math.uni-goettingen.de)